!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Delete a file by ID
response = client.files.delete(file_id="<file-id>")
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Delete a file by ID
await client.files.delete("<file-id>");
{
"filename": "<string>",
"bytes": 123,
"purpose": "assistants",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "file",
"public_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
Delete File
Delete a file by ID. Only available for Pro and Enterprise users.
DELETE
/
v1
/
files
/
{file_id}
!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Delete a file by ID
response = client.files.delete(file_id="<file-id>")
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Delete a file by ID
await client.files.delete("<file-id>");
{
"filename": "<string>",
"bytes": 123,
"purpose": "assistants",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "file",
"public_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}This endpoint is only available for Pro and Enterprise customers.
!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Delete a file by ID
response = client.files.delete(file_id="<file-id>")
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Delete a file by ID
await client.files.delete("<file-id>");
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Response to the file upload API.
Name of the file
Size of the file in bytes
Purpose of the file
Available options:
assistants, batch, fine-tune, vision, datasets Unique identifier of the file
Date and time when the file was created (in UTC timezone)
Type of the file
Allowed value:
"file"Presigned URL of the file